<?php
		
			include('database.php');
			include('config.php');
			DB_connexion(); 
		
			$nom_projet = $_POST['nom_projet'];
			$owner = $_POST['owner'];
			$date_debut = $_POST['date_debut'];
			$duree = $_POST['duree'];
			$nom_famille = $_POST['nom_famille'];
			$status_projet = $_POST['status_projet'];
			$commentaires = $_POST['commentaires'];

			$heure = date("H:i");
			$date = date("d-m-Y"); 
			$infos = $heure ." " .$date;

			$table = $nom_projet ."_data";
			/// table existe ???
			$results = mysql_query("SHOW TABLES LIKE '$table'");
			$nb_resultats = mysql_num_rows($results);
 
 			if( $nb_resultats > 0 )
     		{
				echo "erreur";		
           	    //echo "<script>alert(\"Ce projet existe déjà dans la base de donnée. \")</script>"; 
        	}
        	else
			{
				$sql = "INSERT INTO projet (id, nom_projet, owner, date_debut, duree, nom_famille, status_projet, commentaires, infos ) 
						VALUES ( '0', '$nom_projet' , '$owner', '$date_debut', '$duree', '$nom_famille', '$status_projet', '$commentaires', '$infos' ) " ;
				$result = mysql_query($sql); 
						
				///// table specifique au projet
						
				$table = $nom_projet ."_data";
						
				$sql = "CREATE TABLE IF NOT EXISTS $table (
						id int(11) NOT NULL AUTO_INCREMENT,
						PRIMARY KEY (id),
						nom_bloc varchar(50) ,
						nom_famille varchar(50),
						nom_projet varchar(50) ,
						date_dispo_schema varchar(50) ,
						date_debut_layout varchar(50) ,
						duree_jours varchar(50) ,
						date_fin varchar(50) ,
						owner  varchar(50) ,
						recommandations text,	
						infos varchar(50) )";		
				
				$result = mysql_query($sql); 
				
				///// table specifique pour le tapeout du projet
				//// type : full ou tweak
				//// frontend layars
				//// backend layers
				
				$table = $nom_projet ."_tapeout";
						
				$sql = "CREATE TABLE IF NOT EXISTS $table (
						id int(11) NOT NULL AUTO_INCREMENT,
						PRIMARY KEY (id),
						nom_famille varchar(50),
						nom_projet varchar(50) ,
						revision varchar(50) ,
						type varchar(50) ,
						owner  varchar(50) ,
						commentaires text,	
						infos varchar(50) )";		
				
				$result = mysql_query($sql); 
						
				echo "ok";		
			}
		
	
?>